Package com.clickhouse.jdbc.internal

# Class JdbcTransaction

java.lang.Object
com.clickhouse.jdbc.internal.JdbcTransaction

@Deprecated public class JdbcTransaction extends Object
Deprecated.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final String`
`id`
Deprecated.
`protected final List<String>`
`queries`
Deprecated.
`protected final List<JdbcSavepoint>`
`savepoints`
Deprecated.
`protected final ClickHouseTransaction`
`tx`
Deprecated.

## Constructor Summary

Constructors
Constructor
Description
`JdbcTransaction(ClickHouseTransaction tx)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`void`
`commit(Logger log)`
Deprecated.
`boolean`
`isNew()`
Deprecated.
`void`
`rollback(Logger log)`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### tx

protected final ClickHouseTransaction tx
Deprecated.

### id

protected final String id
Deprecated.

### queries

protected final List<String> queries
Deprecated.

### savepoints

protected final List<JdbcSavepoint> savepoints
Deprecated.

## Constructor Details

### JdbcTransaction

public JdbcTransaction(ClickHouseTransaction tx)
Deprecated.

## Method Details

### isNew

public boolean isNew()
Deprecated.

### commit

public void commit(Logger log) throws SQLException
Deprecated.

Throws:
  `SQLException`

### rollback

public void rollback(Logger log) throws SQLException
Deprecated.

Throws:
  `SQLException`